using System;

internal sealed class Delegate257 : MulticastDelegate
{
	public extern bool Invoke(object object_0);

	public static bool smethod_0(object object_0, Delegate257 delegate257_1)
	{
		return delegate257_1(object_0);
	}

	public extern Delegate257(object object_0, IntPtr intptr_0);

	static Delegate257()
	{
		Class10.smethod_13(typeof(Delegate257).TypeHandle);
	}

	internal static Delegate257 delegate257_0;
}
